#### this is copy straight out of flipscript

import numpy as np
import pandas as pd
import os

def read_header(x):
    with open(x, 'r') as dat:
        lines   = dat.readlines()
        header  = [ line.strip().split(" ")[2] for line in lines if line[0] == "#"]
    return header
    
def mod_ra(x):
    return -x + 430

field = "egs"
rlizt = ["0","1","2","3","4","5","6","7"]

for _ in rlizt:
    input_file = "%s.%s/lightcone.dat"%(field, _)
    output_file= "%s.%s/lightcone_corrected.dat"%(field, _)
    with open(output_file, 'w') as out:
        with open(input_file, 'r') as dat:
            lines   = dat.readlines()
            for line in lines:
                if line[0] == "#":
                    out.write(line)
                else:
                    break

        for gm_chunk in pd.read_csv(input_file, chunksize=2500, comment='#', delimiter=' ', names=read_header(input_file)): 
            gm_chunk['ra'] = mod_ra(gm_chunk['ra'])
            out.write(gm_chunk.to_csv(header = False, index = False, sep=' ', float_format='%.8g'))

    os.system('mv %s.%s/lightcone.dat %s.%s/lightcone_unflipped.dat'%(field, _, field, _))
    os.system('mv %s.%s/lightcone_corrected.dat %s.%s/lightcone.dat'%(field, _, field, _))